.wave-text span {
    display: inline-block;
    animation: shake 2s ease-in-out infinite;
}

.wave-text span:nth-child(1) {
    animation-delay: 0s;
}
.wave-text span:nth-child(2) {
    animation-delay: 0.2s;
}
.wave-text span:nth-child(3) {
    animation-delay: 0.4s;
}
.wave-text span:nth-child(4) {
    animation-delay: 0.6s;
}
.wave-text span:nth-child(5) {
    animation-delay: 0.8s;
}
.wave-text span:nth-child(6) {
    animation-delay: 1.0s;
}
.wave-text span:nth-child(7) {
    animation-delay: 1.2s;
}
.wave-text span:nth-child(8) {
    animation-delay: 1.4s;
}
.wave-text span:nth-child(8) {
    animation-delay: 1.6s;
}
.wave-text span:nth-child(9) {
    animation-delay: 1.8s;
}
.wave-text span:nth-child(10) {
    animation-delay: 2.0s;
}

@keyframes shake {
  50% {
    transform: translate3d(30px, 0, 0);
  }
}

@keyframes strike{
  0%   { width : 0; }
  100% { width: 100%; }
}
.strike {
  position: relative;
}
.strike::after {
  content: ' ';
  position: absolute;
  top: 50%;
  left: 0;
  width: 100%;
  height: 2px;
  background: red;
  animation-name: strike;
  animation-duration: 7s;
  animation-timing-function: linear;
  animation-iteration-count: 1;
  animation-fill-mode: forwards; 
}